#!/bin/bash
for name in "power" "winered" "concrete"
do
for kk in {1334..1354}
do
#This is VAR(h)
python bnn_prop.py -dataset=$name -psvi_method=map  -production -layers 50 -seed $kk -lr 0.004 -n_particles 20 -batch_size 1000 -n_epoch 3000 -ptb_scale 1 -test_freq 20 -dir=../BNN_result/regr_+$name+VAR+$kk
#This is VAR-svgd(h)
#python bnn_prop.py -dataset=$name -psvi_method=map  -production -layers 50 -seed $kk -lr 0.004 -n_particles 20 -batch_size 1000 -n_epoch 3000 -ptb_scale 1 -test_freq 20 -dir=../BNN_result/regr_+$name+VAR_svgd+$kk
#This is VAR(h_m) (plz specify the -dir)
#python bnn_prop_hm.py -dataset=$name -psvi_method=map  -production -layers 50 -seed $kk -lr 0.004 -n_particles 20 -batch_size 1000 -n_epoch 3000 -ptb_scale 1 -test_freq 20 -dir=../BNN_result/
#This is VAR-svgd(h_m) (plz specify the -dir)
#python bnn_prop_hm.py -dataset=$name -psvi_method=svgd  -production -layers 50 -seed $kk -lr 0.004 -n_particles 20 -batch_size 1000 -n_epoch 3000 -ptb_scale 1 -test_freq 20 -dir=../BNN_result/
#This is PAC2E (plz specify the -dir)
#python bnn_pac2e.py -dataset=$name -psvi_method=map  -production -layers 50 -seed $kk -lr 0.004 -n_particles 20 -batch_size 1000 -n_epoch 3000 -ptb_scale 1 -test_freq 20 -dir=../BNN_result/
#This is f-SVGD (plz specify the -dir)
#python bnn_stein_f.py -dataset=$name -psvi_method=svgd  -production -layers 50 -seed $kk -lr 0.004 -n_particles 20 -batch_size 1000 -n_epoch 3000 -ptb_scale 1 -test_freq 20 -dir=../BNN_result/
#This is SVGD (plz specify the -dir)
#python bnn_stein.py -dataset=$name -psvi_method=svgd  -production -layers 50 -seed $kk -lr 0.004 -n_particles 20 -batch_size 1000 -n_epoch 3000 -ptb_scale 1 -test_freq 20 -dir=../BNN_result/
done
done

for kk in {1333..1337}
do
#This is VAR(h)
python bnn_prop.py -dataset=protein_data -psvi_method=map  -production -layers 100 -seed $kk -lr 0.004 -n_particles 20 -batch_size 1000 -n_epoch 3000 -ptb_scale 1 -test_freq 20 -dir=../BNN_result/regr_+protein+VAR+$kk
done

for name in "yacht" "boston_housing"
do
for kk in {1334..1354}
do
#This is VAR(h)
python bnn_prop.py -dataset=$name -psvi_method=map  -production -layers 50 -seed $kk -lr 0.004 -n_particles 20 -batch_size 100 -n_epoch 500 -ptb_scale 1 -test_freq 20 -dir=../BNN_result/regr_+$name+VAR+$kk
done
done

        
